Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
ezpMobileDeviceRegexpFilter Class Reference
Inheritance diagram for ezpMobileDeviceRegexpFilter:

## Public Member Functions
| __construct ()
| process ()
| redirect ()
| isMobileDevice ()
| getUserAgentAlias ()

## Protected Attributes
| $httpUserAgent
| $httpAccept
| $userAgentAlias = ''
| $isMobileDevice = false

## Detailed Description

Default implementation of mobile device detect interface.

Definition at line 15 of file ezpmobiledeviceregexpfilter.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpMobileDeviceRegexpFilter::__construct | ( |  | ) |

Construct

Definition at line 49 of file ezpmobiledeviceregexpfilter.php.

## Member Function Documentation

## ◆ getUserAgentAlias()

ezpMobileDeviceRegexpFilter::getUserAgentAlias | ( |  | ) |

Returns mobile User Agent alias defined in the site.ini.[SiteAccessSettings].MobileUserAgentRegexps

Returns
  string

Implements ezpMobileDeviceDetectFilterInterface.

Definition at line 160 of file ezpmobiledeviceregexpfilter.php.

References $userAgentAlias.

## ◆ isMobileDevice()

ezpMobileDeviceRegexpFilter::isMobileDevice | ( |  | ) |

Returns true if current device is mobile

Returns
  bool

Implements ezpMobileDeviceDetectFilterInterface.

Definition at line 150 of file ezpmobiledeviceregexpfilter.php.

References $isMobileDevice.

Referenced by process().

## ◆ process()

ezpMobileDeviceRegexpFilter::process | ( |  | ) |

Processes the User Agent string and determines whether it is a mobile device or not Needs to set boolean value for

See also
  ezpMobileDeviceDetectFilterInterface::isMobileDevice() and optionally user agent alias
  ezpMobileDeviceDetectFilterInterface::getUserAgentAlias()

Implements ezpMobileDeviceDetectFilterInterface.

Definition at line 70 of file ezpmobiledeviceregexpfilter.php.

References $ini, $userAgentAlias, and isMobileDevice().

## ◆ redirect()

ezpMobileDeviceRegexpFilter::redirect | ( |  | ) |

Handles redirection to the mobile optimized interface

Implements ezpMobileDeviceDetectFilterInterface.

Definition at line 105 of file ezpmobiledeviceregexpfilter.php.

References $http, $uri, eZExecution\cleanExit(), eZSiteAccess\current(), eZSys\indexDir(), eZSys\queryString(), eZSys\requestURI(), and eZSys\serverURL().

## Member Data Documentation

## ◆ $httpAccept

ezpMobileDeviceRegexpFilter::$httpAccept
| protected

Definition at line 29 of file ezpmobiledeviceregexpfilter.php.

## ◆ $httpUserAgent

ezpMobileDeviceRegexpFilter::$httpUserAgent
| protected

Definition at line 22 of file ezpmobiledeviceregexpfilter.php.

## ◆ $isMobileDevice

ezpMobileDeviceRegexpFilter::$isMobileDevice = false
| protected

Definition at line 43 of file ezpmobiledeviceregexpfilter.php.

Referenced by isMobileDevice().

## ◆ $userAgentAlias

ezpMobileDeviceRegexpFilter::$userAgentAlias = ''
| protected

Definition at line 36 of file ezpmobiledeviceregexpfilter.php.

Referenced by getUserAgentAlias(), and process().

The documentation for this class was generated from the following file:

- ezpmobiledeviceregexpfilter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.